Subject: [BEHAVE] Two minor comments for draft-wing-behave-dns64-config-02

From: Xu Xiaohu <[email-masked]>
Date: Wed, 03 Mar 2010 15:13:46 +0800

Hi Dan,

Two minor comments are as follows:

   o  If separate networks operate DHCPv4 and DHCPv6 (e.g., as with
      Dual-Stack Lite where the ISP operates _DHCPv4_ and the customer
      premise router operates _DHCPv6_), it is likely impossible for the
      DHCPv4 and DHCPv6 servers to communicate necessary information
      with each other.

Shouldn't the above two marked terms exchange their places?

  o  To avoid unnecessary traffic through a translator, it is desirable to
   configure IPv4-only and dual-stack hosts with a 'normal' DNS
   recursive resolver.

I wonder whether it is necessary to mention the IPv4-only host here since an
IPv4-only host will not perform an AAAA query in normal cases. Even it does,
the obtained AAAA RR will not be used in communications. Am I wrong?

Best wishes,
Xiaohu